Bug 186391 - Review Request: 855resolution - Change video bios resolutions on laptops with Intel graphic chipsets
Review Request: 855resolution - Change video bios resolutions on laptops with...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thorsten Leemhuis (ignored mailbox)
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-23 05:39 EST by Matthias Saou
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-06 06:48:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Saou 2006-03-23 05:39:35 EST
Spec Name or Url: http://svn.rpmforge.net/svn/trunk/rpms/855resolution/
SRPM Name or Url: http://bordeaux.freshrpms.net/rpm/855resolution

Description:
This software changes the resolution of an available vbios mode. It is useful
when the native screen resolution isn't advertised as available by the video
bios by default.
Comment 1 Bastien Nocera 2006-04-06 03:05:51 EDT
That would be obsoleted by Eric Anholt's work in x.org:
http://lists.freedesktop.org/archives/xorg/2006-April/014555.html
Comment 2 Matthias Saou 2006-04-06 05:31:05 EDT
Indeed, but until work is finished and an X update with that included pushed
into FC4 and FC5, it's the only working solution for many users to get the
native resolution of their laptop working.
If no one seems to want to review the package, I have no problem in leaving it
in freshrpms until X "does the right thing" on those Intel chipsets. I'll leave
the request open for now, if anyone wants to step up (it's a fairly easy review).
Comment 3 David Woodhouse 2006-04-06 08:13:54 EDT
Now we have modular X, we don't need "an X update with that included". We only
need an updated xf86-driver-i810 package. You could build one of those and make
it available for FC5 in the meantime, and perhaps that would help to accelerate
its availability as a real update for Fedora?

Poking around in binary-only drivers (which is basically what the BIOS is) isn't
really something I'm happy about doing in Fedora packages.
Comment 4 Jason Tibbitts 2006-04-23 01:24:43 EDT
Is there any potential for harm from using this?  I can't see why it should be
kept out of Extras just because it invokes deep magic.  It's certainly useful to
those who have no alternative, and I'm not confident that the built-in
modesetting stuff will be finished within the time that FC5 is still receiving
active maintenance.

If, on the other hand, it can fry machines....
Comment 5 Mike McGrath 2006-05-07 13:49:52 EDT
This may get obsoleted soon but I presently use it and choices are always nice.

Needs work:
-buildroot should be:
       %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
-Add chkconf go both post and preun requires
-Use %{_initrddir}
-Don't config the hooks or the init in %files.
-Strange license.  Maybe query upstream to pick a commonly used license?

Items for discussion:
-This really shouldn't be enabled by default or have any default working config.
 I'd say force the user to read the documentation to make sure they know exactly
what they are doing.
Comment 6 Bastien Nocera 2006-05-08 05:50:55 EDT
Jeremy, is your intel-with-modesetting driver RPM ok for use?
Comment 7 Jeremy Katz 2006-05-08 11:06:46 EDT
It works for me in the devel tree with an i945GM.  It's available at
http://people.redhat.com/~katzj/xorg-x11-drv-intel-modeset-1.6.0-2.i386.rpm
(src.rpm also available there).  You'll then need to modify your xorg.conf to
specify the intel driver instead of i810.

Feedback for whether it works on other Intel chipsets would be great.
Comment 8 Jonathan Underwood 2006-05-29 11:25:56 EDT
Note that 855resolution seems to be superceded by 915resolution:

http://www.geocities.com/stomljen/

Regarding non-inclusion on the grounds (comment #3) that it's hacking the bios -
well, the upstream xorg driver will still be using the same techniques to hack
the video bios - I don't see that one is more evil than the other :)
Comment 9 Bastien Nocera 2006-06-05 05:43:44 EDT
The question is not about the program being a hack, but rather about the lack of
integration, and the fact that an integrated replacement is available, and
should be hitting the FC5 repository soon enough.
Basically, this package would be obsoleted pretty quickly.
Comment 10 Matthias Saou 2006-06-06 06:48:21 EDT
Yeah, the xorg.conf approach is definitely much nicer. Let's just forget all
about this "hack", and let the updated driver go in ASAP :-)

Note You need to log in before you can comment on or make changes to this bug.